package com.xynet.marketing.controller;

import com.xynet.marketing.utils.MercAuthUtils;
import com.xynet.marketing.utils.R;
import com.xynet.marketing.utils.collections.map.JHashMap;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author hechunping
 * @date 2025/2/22
 */
@RestController
@RequestMapping("test")
@AllArgsConstructor
@Slf4j
@CrossOrigin(origins = "*")
public class Test {

    @GetMapping("bb")
    public R bb() {
        return R.ok();
    }

    @PostMapping("aa")
    public R aa(@RequestBody JHashMap<String, Object> param, @RequestHeader Map<String, String> headers) {
        MercAuthUtils.getMercId(headers);
        return R.ok();
    }
}
